package com.chinaitop.depot.intelligent.weather.mapper;

import com.chinaitop.depot.intelligent.weather.model.TWertherinfo;
import com.chinaitop.depot.intelligent.weather.model.TWertherinfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TWertherinfoMapper {
    int countByExample(TWertherinfoExample example);

    int deleteByExample(TWertherinfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(TWertherinfo record);

    int insertSelective(TWertherinfo record);

    List<TWertherinfo> selectByExample(TWertherinfoExample example);

    TWertherinfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TWertherinfo record, @Param("example") TWertherinfoExample example);

    int updateByExample(@Param("record") TWertherinfo record, @Param("example") TWertherinfoExample example);

    int updateByPrimaryKeySelective(TWertherinfo record);

    int updateByPrimaryKey(TWertherinfo record);
    
    void insertBatch(List<TWertherinfo> tWertherinfos);
}